﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics45.Web.v14.2, Version=14.2.20142.2146, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
    <script type="text/javascript">
        function ExitedEditModeClientEvent(sender, eventArgs) {
            if (eventArgs.get_browserEvent().keyCode == 13) {
                ig_controls.WebDataGrid1.get_behaviors().get_editingCore().commit();
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <ig:WebDataGrid ID="WebDataGrid1" runat="server" Width="100%" AutoGenerateColumns="False" 
                OnRowUpdating="WebDataGrid1_RowUpdating"
                DataSourceID="SqlDataSource1" DataKeyFields="EmployeeID">
                <Columns>
                    <ig:BoundDataField DataFieldName="EmployeeID" Key="EmployeeID">
                        <Header Text="EmployeeID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="LastName" Key="LastName">
                        <Header Text="LastName">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="FirstName" Key="FirstName">
                        <Header Text="FirstName">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Title" Key="Title">
                        <Header Text="Title">
                        </Header>
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:Paging PageSize="10"></ig:Paging>
                    <ig:EditingCore BatchUpdating="false">
                        <Behaviors>
                            <ig:RowAdding Alignment="Top">
                                <EditModeActions MouseClick="Single" />
                            </ig:RowAdding>
                            <ig:CellEditing>
                                <CellEditingClientEvents ExitedEditMode="ExitedEditModeClientEvent" />
                                <EditModeActions MouseClick="Double" />
                            </ig:CellEditing>
                            <ig:RowDeleting></ig:RowDeleting>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:Selection CellClickAction="Row" RowSelectType="Single">
                    </ig:Selection>
                    <ig:Activation>
                    </ig:Activation>
                </Behaviors>
            </ig:WebDataGrid>
            <br />
            <asp:Button ID="commitChangesBtn" runat="server" Text="Commit changes" />
            <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>" ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>"
                SelectCommand="SELECT [EmployeeID], [LastName], [FirstName], [Title] FROM [Employees]" DeleteCommand="DELETE FROM [Employees] WHERE [EmployeeID] = ?" InsertCommand="INSERT INTO [Employees] ([EmployeeID], [LastName], [FirstName], [Title]) VALUES (?, ?, ?, ?)" UpdateCommand="UPDATE [Employees] SET [LastName] = ?, [FirstName] = ?, [Title] = ? WHERE [EmployeeID] = ?">
                <DeleteParameters>
                    <asp:Parameter Name="EmployeeID" Type="Int32" />
                </DeleteParameters>
                <InsertParameters>
                    <asp:Parameter Name="EmployeeID" Type="Int32" />
                    <asp:Parameter Name="LastName" Type="String" />
                    <asp:Parameter Name="FirstName" Type="String" />
                    <asp:Parameter Name="Title" Type="String" />
                </InsertParameters>
                <UpdateParameters>
                    <asp:Parameter Name="LastName" Type="String" />
                    <asp:Parameter Name="FirstName" Type="String" />
                    <asp:Parameter Name="Title" Type="String" />
                    <asp:Parameter Name="EmployeeID" Type="Int32" />
                </UpdateParameters>
            </asp:SqlDataSource>
        </div>
    </form>
</body>
</html>
